stable version 6

23 views
Skip to first unread message

Constellation

unread,
Sep 3, 2010, 3:45:09 AM9/3/10
to Chromium-Extensions-Japan
こんにちは. id:Constellationです.
http://googlechromereleases.blogspot.com/2010/09/stable-and-beta-channel-updates.html

Chrome stableがversion 6になりました.

http://groups.google.com/group/chromium-extensions-japan/browse_thread/thread/b5f8496b464fad6c

のAPIがつかえるようになります. これで,
「Chromeの拡張機能はコンテキストメニューがないから話にならないなw」
とか,
「えーマジコンテキストメニューつくれないー」「キツーイ」「コンテキストメニューが自由に作れないのが許されるのはIEまでだよねー」「キャハハハハ
ハハ」
といってたやつらを見返せますね!!

manifest.jsonのpermissionsは未実装なものが入るとエラーになります.
今の時点ではまだstable channelをupgradeしていない方がいるかもしれないので, そのままpermissionsに
contextMenusを追加するのは危険です. よって,
http://code.google.com/chrome/extensions/stable/manifest.html#minimum_chrome_version
のminimum_chrome_versionを使って, 今回のstable以上のversionに限って使ったほうがいいでしょう.
今回の場合は, "mininum_chrome_version": "6.0.472.53"です.

途中変なテンションになってしまいましたが, それでは.
Reply all
Reply to author
Forward
0 new messages